C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Branding.Phone;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Branding.Phone.Providers.TestAsync(
id: "id",
request: new CreatePhoneProviderSendTestRequestContent {
To = "to"
}
);
}
}
package example
import (
context "context"
phone "github.com/auth0/go-auth0/management/management/branding/phone"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &phone.CreatePhoneProviderSendTestRequestContent{
To: "to",
}
client.Branding.Phone.Providers.Test(
context.TODO(),
"id",
request,
)
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.branding.phone.providers.requests.CreatePhoneProviderSendTestRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.branding().phone().providers().test(
"id",
CreatePhoneProviderSendTestRequestContent
.builder()
.to("to")
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Branding\Phone\Providers\Requests\CreatePhoneProviderSendTestRequestContent;
$client = new Management(
token: '<token>',
);
$client->branding->phone->providers->test(
'id',
new CreatePhoneProviderSendTestRequestContent([
'to' => 'to',
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.branding.phone.providers.test(
id="id",
to="to",
)
require "auth0"
client = Auth0::Management.new(token: "<token>")
client.branding.phone.providers.test(
id: "id",
to: "to"
)
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.providers.test("id", {
to: "to",
});
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.providers.test("id", {
to: "to",
});
}
main();
curl --request POST \
--url https://{tenantDomain}/api/v2/branding/phone/providers/{id}/try \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>"
}
'{
"code": 123,
"message": "<string>"
}Send a test phone notification for the configured provider
POST
https://{tenantDomain}/api/v2
/
branding
/
phone
/
providers
/
{id}
/
try
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Branding.Phone;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Branding.Phone.Providers.TestAsync(
id: "id",
request: new CreatePhoneProviderSendTestRequestContent {
To = "to"
}
);
}
}
package example
import (
context "context"
phone "github.com/auth0/go-auth0/management/management/branding/phone"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &phone.CreatePhoneProviderSendTestRequestContent{
To: "to",
}
client.Branding.Phone.Providers.Test(
context.TODO(),
"id",
request,
)
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.branding.phone.providers.requests.CreatePhoneProviderSendTestRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.branding().phone().providers().test(
"id",
CreatePhoneProviderSendTestRequestContent
.builder()
.to("to")
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Branding\Phone\Providers\Requests\CreatePhoneProviderSendTestRequestContent;
$client = new Management(
token: '<token>',
);
$client->branding->phone->providers->test(
'id',
new CreatePhoneProviderSendTestRequestContent([
'to' => 'to',
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.branding.phone.providers.test(
id="id",
to="to",
)
require "auth0"
client = Auth0::Management.new(token: "<token>")
client.branding.phone.providers.test(
id: "id",
to: "to"
)
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.providers.test("id", {
to: "to",
});
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.providers.test("id", {
to: "to",
});
}
main();
curl --request POST \
--url https://{tenantDomain}/api/v2/branding/phone/providers/{id}/try \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>"
}
'{
"code": 123,
"message": "<string>"
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 255Body
application/jsonapplication/x-www-form-urlencoded
Was this page helpful?
⌘I